Bug 166540 - Kasbar popup list of window boxes is a bit erratic
Kasbar popup list of window boxes is a bit erratic
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 00:36 EDT by Pierre Marc Dumuid
Modified: 2008-05-06 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Marc Dumuid 2005-08-23 00:36:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When multiple windows of the same type, (i.e. the terminal window, etc..) the KasBar will group these windows into 1 box, and have an arrow indicating that you can click this box to get more boxes popping out...

The thing is, sometimes I click the box, and the popped out boxes appear in the center of the screen, and sometimes they appear adjacent to the KasBar.

also, when the boxes come up in the center of the screen, they don't dissapear that easily.

It almost seems to be related to going to a different desktop, (i.e. if KasBar works correctly on Desktop 1, then going to Desktop 2 will make it buggy again.

In some cases, the boxes don't come up at all..

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Open multiple terminals, with the KasBar panel enabled.
2. Click on the box in the kasbar to show each box for each terminal
3. Remove mouse from kasbar
4. If the boxes came up on the screen, change to a different desktop and try again

[Every time.] in the Reproducibility means that every times I've logged in, it's occured. 

Actual Results:  Erratic each time..

Expected Results:  One click on the Group Window Box in the KasBar should make the boxes comeout alongside the kasbar everytime.  

A second click on that Group Window box should make them hide.  (as per the taskbar panel & applet) 

Clicking on a box that "came out" should bring that window to the front hide the list that folded out, (as per the taskbar panel & applet) -- though this fold-back behaviour should be optional, as I like scanning through all my windows in that group without having to re-expand the list again.

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:47:47 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Pierre Marc Dumuid 2007-01-19 21:29:21 EST
Yup, still happens. (kdebase-3.5.5-0.4.fc6)
Comment 3 Bug Zapper 2008-04-03 22:00:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:31:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.